%define upstream_name Dict-Lexed
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Lexed wrapper
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source:		http://search.cpan.org/CPAN/authors/id/G/GR/GROUSSE/%{upstream_name}-%{upstream_version}.tar.bz2
Requires:	lexed

BuildRequires:	lexed
Buildarch:	noarch

%description
This module is a perl wrapper around Lexed, a lexicalizer developed at INRIA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files 
%doc README ChangeLog
%{perl_vendorlib}/Dict
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.2-12.mga6
+ Revision: 1025738
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.2.2-11.mga6
+ Revision: 929870
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-10.mga5
+ Revision: 742545
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.2-9.mga5
+ Revision: 727598
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-8.mga5
+ Revision: 684355
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-7.mga4
+ Revision: 510867
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-6.mga3
+ Revision: 365911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.2.2-5.mga1
+ Revision: 23314
- cleaning spec file
- imported package perl-Dict-Lexed


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2.2-5mdv2010.0
+ Revision: 430412
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2.2-4mdv2009.0
+ Revision: 256678
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.2.2-2mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.2-2mdv2008.0
+ Revision: 86354
- rebuild


* Tue Sep 05 2006 guillomovitch
+ 2006-09-05 09:03:27 (59950)
new version

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 13:00:59 (43208)
import perl-Dict-Lexed-0.2.1-5mdk

* Sun Nov 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-5mdk
- clean up buildrequires

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-4mdk
- Fix previous mistake

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-3mdk
- Fix BuildRequires

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdk 
- first mdk release

